CCW_DEVICE_SET_OPTIO(9)

NAME
ccw_device_set_options_mask - set some options and unset the rest

SYNOPSIS

int ccw_device_set_options_mask(struct ccw_device * cdev, unsigned long flags);

ARGUMENTS

cdev
    device for which the options are to be set

flags
    options to be set

DESCRIPTION

All flags specified in flags are set, all flags not specified in flags are cleared.

RETURNS

0 on success, -EINVAL on an invalid flag combination.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT